<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Конструктор вопросов</title>
    <link rel="stylesheet" th:href="@{/webjars/bootstrap/5.0.2/css/bootstrap.min.css}">
</head>
<body>
<div class="container">
    <h1>Конструктор вопросов</h1>
    <form method="post" th:action="@{/questions}">
        <div class="form-group">
            <label for="question">Вопрос:</label>
            <input type="text" class="form-control" id="question" name="question">
        </div>
<!--        <div class="form-group">-->
<!--            <label for="answers">Ответы:</label>-->
<!--            <div id="answer-fields">-->
<!--                <div class="answer-field">-->
<!--                    <input type="text" class="form-control" id="answer" name="answers" th:field="*{answers[0]}">-->
<!--                </div>-->
<!--            </div>-->
<!--            <button type="button" class="btn btn-secondary" id="add-answer">Добавить ответ</button>-->
<!--        </div>-->
        <button type="submit" class="btn btn-primary">Создать вопрос</button>
    </form>
</div>
<script th:src="@{/webjars/jquery/3.6.0/jquery.min.js}"></script>
<script th:src="@{/webjars/bootstrap/5.0.2/js/bootstrap.min.js}"></script>
<script>
    $(document).ready(function() {
        var answerField = '<div class="answer-field"><input type="text" class="form-control" id="answer" name="answers" th:field="*{answers[__index__]}"><button type="button" class="btn btn-danger remove-answer">Удалить</button></div>';
        var answerIndex = 1;
        $("#add-answer").click(function() {
            var newField = answerField.replace("__index__", answerIndex);
            $("#answer-fields").append(newField);
            answerIndex++;
        });
        $(document).on("click", ".remove-answer", function() {
            $(this).parent().remove();
        });
    });
</script>
</body>
</html>